<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >

<!-- Always ensure to use the correct XML header as above! -->
<mapper namespace="com.chinaweal.aiccs.aiccs.claim.mapper.TSEntBaseAppendMapper">
    <resultMap type="com.chinaweal.aiccs.aiccs.claim.entity.TSEntBaseAppend" id="tsentbaseappend">
        <result property="pripid" column="pripid"/>
        <result property="regno" column="regno"/>
        <result property="sinbizplaid" column="sinbizplaid"/>
        <result property="regcap" column="regcap"/>
        <result property="business" column="business"/>
        <result property="opfrom" column="opfrom"/>
        <result property="opto" column="opto"/>
        <result property="checkyear" column="checkyear"/>
        <result property="annualdate" column="annualdate"/>
        <result property="lauptime" column="lauptime"/>
    </resultMap>


    <select id="findTsentbaseappendByID" resultType="com.chinaweal.aiccs.aiccs.claim.entity.TSEntBaseAppend" parameterType="java.lang.String">
		select PriPID,RecCap, business,OpTo,OpFrom
		from v_tsentbaseappend
		where pripid = #{pripid}
	</select>
</mapper>
